function [H, magH2] = psdac(F, s_poles, s_zeros);
% Calculates transfer function H and (abs(H)).^2 for 
% a frequency vector F and poles s_poles and zeros s_zeros
% of a continuous time filter

np = length(s_poles);
nz = length(s_zeros);

jW = 2*pi*F*j;
H = F - F +1;

mm= min(np, nz);

  for k=1:mm,
    H = H.*(jW-s_zeros(k))./(jW-s_poles(k));
  end;
  for k=mm+1:np,
    H = H./(jW-s_poles(k) ); 
  end;
  for k=mm+1:nz,
    H = H.*(jW-s_zeros(k) );
  end;

magH2 = abs(H).^2;

